> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete a Destination Node by ID

DELETE https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/destinations/{destinationId}/nodes/{nodeId}

Deletes a Destination Node. Unpublish the Destination Node first if it is published.

Reference: https://contentful.com/developers/docs/references/experience-management-api/destinations-management/destinations/destination-nodes/delete-destination-node

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `spaceId` (string, required) — ID of the space.
- `environmentId` (string, required) — ID of the environment.
- `destinationId` (string, required) — ID of the Destination.
- `nodeId` (string, required) — ID of the Destination Node.

### Headers

- `X-Contentful-Version` (string, required) — Current version of the resource, taken from `sys.version`. A stale value returns `409 Conflict`.